package com.agri.common.enums;

public enum AgriEnum {


    SCAN(0, "扫码"),
    INVITE(1, "邀请"),
    OWNER(3, "大棚所有者"),
    MANUAL(0, "手动模式"),
    ALARM_CLOSE(0, "告警关闭"),
    NO_DELETE(0, "未删除"),
    ENABLED(1, "已生效"),
    PENDING_ACCEPTANCE(2, "待接受邀请"),
    WARN(0, "警告"),
    SUCCESS(1, "成功"),
    ERROR(2, "失败");

    private final Integer code;
    private final String desc;
    AgriEnum(Integer code, String desc)
    {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
